set_include_path
set_time_limit
PHP Options/Info Functions
PHP Manual

# set_magic_quotes_runtime

Sets the current active configuration setting of magic_quotes_runtime

### Description

bool set_magic_quotes_runtime ( bool `$new_setting` )

Set the current active configuration setting of magic_quotes_runtime.

Warning

This function has been DEPRECATED as of PHP 5.3.0. Relying on this feature is highly discouraged.

### Errors/Exceptions

Since PHP 5.3 this function has been deprecated and will raise an E_DEPRECATED warning upon execution. Since PHP 5.4 this function will also raise an E_CORE_ERROR on trying to enable magic quotes.

### Parameters

`new_setting`

  `FALSE` for off, `TRUE` for on.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 set_magic_quotes_runtime example

`<?php
// Create a temporary file pointer
$fp = tmpfile();
// Write some data to the pointer
fwrite($fp, '\'PHP\' is a Recursive acronym');
// Without magic_quotes_runtime
rewind($fp);
set_magic_quotes_runtime(false);
echo 'Without magic_quotes_runtime: ' . fread($fp, 64), PHP_EOL;
// With magic_quotes_runtime
rewind($fp);
set_magic_quotes_runtime(true);
echo 'With magic_quotes_runtime: ' . fread($fp, 64), PHP_EOL;
// Clean up
fclose($fp);
?>`

The above example will output:

    Without magic_quotes_runtime: 'PHP' is a Recursive acronym
    With magic_quotes_runtime: \'PHP\' is a Recursive acronym

### See Also

- get_magic_quotes_gpc
- get_magic_quotes_runtime